from geolib.models import BaseDataClass
from geolib.models.dseries_parser import DSeriesInlineMappedProperties


class PartialFactorsEurocodeDa1Set1(DSeriesInlineMappedProperties):
    loadfactorpermunfav: float = 1.00
    loadfactorpermfav: float = 1.00
    loadfactorvarunfav: float = 1.00
    loadfactorvarfav: float = 0.00
    constructloadfactorpermfav: float = 1.00
    constructloadfactorvarfav: float = 0.00
    constructloadfactorpermunfavcalc: float = 1.00
    constructloadfactorvarunfavcalc: float = 1.00
    effectfactor: float = 1.35
    effectfactorvarunfav: float = 1.10
    materialfactorcohesion: float = 1.00
    materialfactortgphi: float = 1.000
    materialfactorsubgradereaction: float = 1.00
    resistancefactor: float = 1.00
    geometryincretainingheight: float = 10.00
    geometrymaxincretainingheight: float = 0.50
    geometrydeltapassivesurfacelevel: float = 0.00
    geometrydeltapassivephreaticline: float = 0.00
    geometrydeltaactivephreaticline: float = 0.00
    overallstabilityfactordrivingmoment: float = 1.00
    overallstabilityfactorcohesion: float = 1.00
    overallstabilityfactortgphi: float = 1.00
    overallstabilityfactorunitweight: float = 1.00
    factorrepvaluesmdpmax: float = 0.00
    verticalbalancegammamb: float = 1.25


class PartialFactorsEurocodeDa1Set2(DSeriesInlineMappedProperties):
    loadfactorpermunfav: float = 1.00
    loadfactorpermfav: float = 1.00
    loadfactorvarunfav: float = 1.30
    loadfactorvarfav: float = 0.00
    constructloadfactorpermfav: float = 1.00
    constructloadfactorvarfav: float = 1.00
    constructloadfactorpermunfavcalc: float = 1.00
    constructloadfactorvarunfavcalc: float = 1.00
    effectfactor: float = 1.00
    effectfactorvarunfav: float = 1.00
    materialfactorcohesion: float = 1.25
    materialfactortgphi: float = 1.250
    materialfactorsubgradereaction: float = 1.00
    resistancefactor: float = 1.00
    geometryincretainingheight: float = 10.00
    geometrymaxincretainingheight: float = 0.50
    geometrydeltapassivesurfacelevel: float = 0.00
    geometrydeltapassivephreaticline: float = 0.00
    geometrydeltaactivephreaticline: float = 0.00
    overallstabilityfactordrivingmoment: float = 1.00
    overallstabilityfactorcohesion: float = 1.00
    overallstabilityfactortgphi: float = 1.00
    overallstabilityfactorunitweight: float = 1.00
    factorrepvaluesmdpmax: float = 0.00
    verticalbalancegammamb: float = 1.25


class PartialFactorsEurocodeDa2(DSeriesInlineMappedProperties):
    loadfactorpermunfav: float = 1.00
    loadfactorpermfav: float = 1.00
    loadfactorvarunfav: float = 1.00
    loadfactorvarfav: float = 0.00
    constructloadfactorpermfav: float = 1.00
    constructloadfactorvarfav: float = 1.00
    constructloadfactorpermunfavcalc: float = 1.00
    constructloadfactorvarunfavcalc: float = 1.00
    effectfactor: float = 1.35
    effectfactorvarunfav: float = 1.10
    materialfactorcohesion: float = 1.00
    materialfactortgphi: float = 1.000
    materialfactorsubgradereaction: float = 1.00
    resistancefactor: float = 1.40
    geometryincretainingheight: float = 10.00
    geometrymaxincretainingheight: float = 0.50
    geometrydeltapassivesurfacelevel: float = 0.00
    geometrydeltapassivephreaticline: float = 0.00
    geometrydeltaactivephreaticline: float = 0.00
    overallstabilityfactordrivingmoment: float = 1.00
    overallstabilityfactorcohesion: float = 1.00
    overallstabilityfactortgphi: float = 1.00
    overallstabilityfactorunitweight: float = 1.00
    factorrepvaluesmdpmax: float = 0.00
    verticalbalancegammamb: float = 1.25


class PartialFactorsEurocodeDa3(DSeriesInlineMappedProperties):
    loadfactorpermunfav: float = 1.00
    loadfactorpermfav: float = 1.00
    loadfactorvarunfav: float = 1.30
    loadfactorvarfav: float = 0.00
    constructloadfactorpermfav: float = 1.00
    constructloadfactorvarfav: float = 1.00
    constructloadfactorpermunfavcalc: float = 1.00
    constructloadfactorvarunfavcalc: float = 1.00
    effectfactor: float = 1.00
    effectfactorvarunfav: float = 1.00
    materialfactorcohesion: float = 1.25
    materialfactortgphi: float = 1.250
    materialfactorsubgradereaction: float = 1.00
    resistancefactor: float = 1.00
    geometryincretainingheight: float = 10.00
    geometrymaxincretainingheight: float = 0.50
    geometrydeltapassivesurfacelevel: float = 0.00
    geometrydeltapassivephreaticline: float = 0.00
    geometrydeltaactivephreaticline: float = 0.00
    overallstabilityfactordrivingmoment: float = 1.00
    overallstabilityfactorcohesion: float = 1.00
    overallstabilityfactortgphi: float = 1.00
    overallstabilityfactorunitweight: float = 1.00
    factorrepvaluesmdpmax: float = 0.00
    verticalbalancegammamb: float = 1.25


class PartialFactorsEc7Nl0(DSeriesInlineMappedProperties):
    loadfactorpermunfav: float = 1.00
    loadfactorpermfav: float = 1.00
    loadfactorvarunfav: float = 1.00
    loadfactorvarfav: float = 0.00
    constructloadfactorpermfav: float = 1.00
    constructloadfactorvarfav: float = 1.00
    constructloadfactorpermunfavcalc: float = 1.00
    constructloadfactorvarunfavcalc: float = 1.00
    effectfactor: float = 1.00
    effectfactorvarunfav: float = 1.00
    materialfactorcohesion: float = 1.00
    materialfactortgphi: float = 1.050
    materialfactorsubgradereaction: float = 1.30
    resistancefactor: float = 1.00
    geometryincretainingheight: float = 10.00
    geometrymaxincretainingheight: float = 0.50
    geometrydeltapassivesurfacelevel: float = 0.00
    geometrydeltapassivephreaticline: float = 0.15
    geometrydeltaactivephreaticline: float = 0.05
    overallstabilityfactordrivingmoment: float = 0.90
    overallstabilityfactorcohesion: float = 1.30
    overallstabilityfactortgphi: float = 1.20
    overallstabilityfactorunitweight: float = 1.00
    factorrepvaluesmdpmax: float = 1.20
    verticalbalancegammamb: float = 1.20


class PartialFactorsEc7Nl1(DSeriesInlineMappedProperties):
    loadfactorpermunfav: float = 1.00
    loadfactorpermfav: float = 1.00
    loadfactorvarunfav: float = 1.00
    loadfactorvarfav: float = 0.00
    constructloadfactorpermfav: float = 1.00
    constructloadfactorvarfav: float = 1.00
    constructloadfactorpermunfavcalc: float = 1.00
    constructloadfactorvarunfavcalc: float = 1.00
    effectfactor: float = 1.00
    effectfactorvarunfav: float = 1.00
    materialfactorcohesion: float = 1.15
    materialfactortgphi: float = 1.150
    materialfactorsubgradereaction: float = 1.30
    resistancefactor: float = 1.00
    geometryincretainingheight: float = 10.00
    geometrymaxincretainingheight: float = 0.50
    geometrydeltapassivesurfacelevel: float = 0.00
    geometrydeltapassivephreaticline: float = 0.20
    geometrydeltaactivephreaticline: float = 0.05
    overallstabilityfactordrivingmoment: float = 1.00
    overallstabilityfactorcohesion: float = 1.30
    overallstabilityfactortgphi: float = 1.20
    overallstabilityfactorunitweight: float = 1.00
    factorrepvaluesmdpmax: float = 1.20
    verticalbalancegammamb: float = 1.25


class PartialFactorsEc7Nl2(DSeriesInlineMappedProperties):
    loadfactorpermunfav: float = 1.00
    loadfactorpermfav: float = 1.00
    loadfactorvarunfav: float = 1.00
    loadfactorvarfav: float = 0.00
    constructloadfactorpermfav: float = 1.00
    constructloadfactorvarfav: float = 1.00
    constructloadfactorpermunfavcalc: float = 1.00
    constructloadfactorvarunfavcalc: float = 1.00
    effectfactor: float = 1.00
    effectfactorvarunfav: float = 1.00
    materialfactorcohesion: float = 1.25
    materialfactortgphi: float = 1.175
    materialfactorsubgradereaction: float = 1.30
    resistancefactor: float = 1.00
    geometryincretainingheight: float = 10.00
    geometrymaxincretainingheight: float = 0.50
    geometrydeltapassivesurfacelevel: float = 0.00
    geometrydeltapassivephreaticline: float = 0.25
    geometrydeltaactivephreaticline: float = 0.05
    overallstabilityfactordrivingmoment: float = 1.00
    overallstabilityfactorcohesion: float = 1.45
    overallstabilityfactortgphi: float = 1.25
    overallstabilityfactorunitweight: float = 1.00
    factorrepvaluesmdpmax: float = 1.20
    verticalbalancegammamb: float = 1.25


class PartialFactorsEc7Nl3(DSeriesInlineMappedProperties):
    loadfactorpermunfav: float = 1.00
    loadfactorpermfav: float = 1.00
    loadfactorvarunfav: float = 1.25
    loadfactorvarfav: float = 0.00
    constructloadfactorpermfav: float = 1.00
    constructloadfactorvarfav: float = 1.00
    constructloadfactorpermunfavcalc: float = 1.00
    constructloadfactorvarunfavcalc: float = 1.00
    effectfactor: float = 1.00
    effectfactorvarunfav: float = 1.00
    materialfactorcohesion: float = 1.40
    materialfactortgphi: float = 1.200
    materialfactorsubgradereaction: float = 1.30
    resistancefactor: float = 1.00
    geometryincretainingheight: float = 10.00
    geometrymaxincretainingheight: float = 0.50
    geometrydeltapassivesurfacelevel: float = 0.00
    geometrydeltapassivephreaticline: float = 0.25
    geometrydeltaactivephreaticline: float = 0.05
    overallstabilityfactordrivingmoment: float = 1.00
    overallstabilityfactorcohesion: float = 1.60
    overallstabilityfactortgphi: float = 1.30
    overallstabilityfactorunitweight: float = 1.00
    factorrepvaluesmdpmax: float = 1.35
    verticalbalancegammamb: float = 1.25


class PartialFactorsEc7BESet1(DSeriesInlineMappedProperties):
    loadfactorpermunfav: float = 1.00
    loadfactorpermfav: float = 1.00
    loadfactorvarunfav: float = 1.00
    loadfactorvarfav: float = 0.00
    constructloadfactorpermfav: float = 1.00
    constructloadfactorvarfav: float = 1.00
    constructloadfactorpermunfavcalc: float = 1.00
    constructloadfactorvarunfavcalc: float = 1.00
    effectfactor: float = 1.35
    effectfactorvarunfav: float = 1.10
    materialfactorcohesion: float = 1.00
    materialfactortgphi: float = 1.000
    materialfactorsubgradereaction: float = 1.00
    resistancefactor: float = 1.00
    geometryincretainingheight: float = 10.00
    geometrymaxincretainingheight: float = 0.50
    geometrydeltapassivesurfacelevel: float = 0.00
    geometrydeltapassivephreaticline: float = 0.00
    geometrydeltaactivephreaticline: float = 0.00
    overallstabilityfactordrivingmoment: float = 1.00
    overallstabilityfactorcohesion: float = 1.00
    overallstabilityfactortgphi: float = 1.00
    overallstabilityfactorunitweight: float = 1.00
    factorrepvaluesmdpmax: float = 0.00
    verticalbalancegammamb: float = 1.20


class PartialFactorsEc7BESet2(DSeriesInlineMappedProperties):
    loadfactorpermunfav: float = 1.00
    loadfactorpermfav: float = 1.00
    loadfactorvarunfav: float = 1.10
    loadfactorvarfav: float = 0.00
    constructloadfactorpermfav: float = 1.00
    constructloadfactorvarfav: float = 1.00
    constructloadfactorpermunfavcalc: float = 1.00
    constructloadfactorvarunfavcalc: float = 1.00
    effectfactor: float = 1.00
    effectfactorvarunfav: float = 1.00
    materialfactorcohesion: float = 1.25
    materialfactortgphi: float = 1.250
    materialfactorsubgradereaction: float = 1.00
    resistancefactor: float = 1.00
    geometryincretainingheight: float = 10.00
    geometrymaxincretainingheight: float = 0.50
    geometrydeltapassivesurfacelevel: float = 0.00
    geometrydeltapassivephreaticline: float = 0.00
    geometrydeltaactivephreaticline: float = 0.00
    overallstabilityfactordrivingmoment: float = 1.00
    overallstabilityfactorcohesion: float = 1.25
    overallstabilityfactortgphi: float = 1.25
    overallstabilityfactorunitweight: float = 1.00
    factorrepvaluesmdpmax: float = 0.00
    verticalbalancegammamb: float = 1.20


class PartialFactorsCurI(DSeriesInlineMappedProperties):
    loadfactorpermunfav: float = 1.00
    loadfactorpermfav: float = 1.00
    loadfactorvarunfav: float = 1.00
    loadfactorvarfav: float = 0.00
    constructloadfactorpermfav: float = 1.00
    constructloadfactorvarfav: float = 1.00
    constructloadfactorpermunfavcalc: float = 1.00
    constructloadfactorvarunfavcalc: float = 1.00
    effectfactor: float = 1.00
    effectfactorvarunfav: float = 1.00
    materialfactorcohesion: float = 1.00
    materialfactortgphi: float = 1.050
    materialfactorsubgradereaction: float = 1.30
    resistancefactor: float = 1.00
    geometryincretainingheight: float = 0.00
    geometrymaxincretainingheight: float = 0.00
    geometrydeltapassivesurfacelevel: float = 0.20
    geometrydeltapassivephreaticline: float = 0.15
    geometrydeltaactivephreaticline: float = 0.05
    overallstabilityfactordrivingmoment: float = 0.90
    overallstabilityfactorcohesion: float = 1.50
    overallstabilityfactortgphi: float = 1.20
    overallstabilityfactorunitweight: float = 1.00
    factorrepvaluesmdpmax: float = 0.00
    verticalbalancegammamb: float = 1.25


class PartialFactorsCurIi(DSeriesInlineMappedProperties):
    loadfactorpermunfav: float = 1.00
    loadfactorpermfav: float = 1.00
    loadfactorvarunfav: float = 1.00
    loadfactorvarfav: float = 0.00
    constructloadfactorpermfav: float = 1.00
    constructloadfactorvarfav: float = 1.00
    constructloadfactorpermunfavcalc: float = 1.00
    constructloadfactorvarunfavcalc: float = 1.00
    effectfactor: float = 1.00
    effectfactorvarunfav: float = 1.00
    materialfactorcohesion: float = 1.00
    materialfactortgphi: float = 1.150
    materialfactorsubgradereaction: float = 1.30
    resistancefactor: float = 1.00
    geometryincretainingheight: float = 0.00
    geometrymaxincretainingheight: float = 0.00
    geometrydeltapassivesurfacelevel: float = 0.30
    geometrydeltapassivephreaticline: float = 0.20
    geometrydeltaactivephreaticline: float = 0.05
    overallstabilityfactordrivingmoment: float = 1.00
    overallstabilityfactorcohesion: float = 1.50
    overallstabilityfactortgphi: float = 1.20
    overallstabilityfactorunitweight: float = 1.00
    factorrepvaluesmdpmax: float = 0.00
    verticalbalancegammamb: float = 1.25


class PartialFactorsCurIii(DSeriesInlineMappedProperties):
    loadfactorpermunfav: float = 1.00
    loadfactorpermfav: float = 1.00
    loadfactorvarunfav: float = 1.25
    loadfactorvarfav: float = 0.00
    constructloadfactorpermfav: float = 1.00
    constructloadfactorvarfav: float = 1.00
    constructloadfactorpermunfavcalc: float = 1.00
    constructloadfactorvarunfavcalc: float = 1.00
    effectfactor: float = 1.00
    effectfactorvarunfav: float = 1.00
    materialfactorcohesion: float = 1.10
    materialfactortgphi: float = 1.200
    materialfactorsubgradereaction: float = 1.30
    resistancefactor: float = 1.00
    geometryincretainingheight: float = 0.00
    geometrymaxincretainingheight: float = 0.00
    geometrydeltapassivesurfacelevel: float = 0.35
    geometrydeltapassivephreaticline: float = 0.25
    geometrydeltaactivephreaticline: float = 0.05
    overallstabilityfactordrivingmoment: float = 1.10
    overallstabilityfactorcohesion: float = 1.50
    overallstabilityfactortgphi: float = 1.20
    overallstabilityfactorunitweight: float = 1.00
    factorrepvaluesmdpmax: float = 0.00
    verticalbalancegammamb: float = 1.25
